Bug 1320395 - No 'favorites' in F24 KDE menu
Summary: No 'favorites' in F24 KDE menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F24FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-03-23 06:25 UTC by Adam Williamson
Modified: 2016-04-04 12:38 UTC (History)
7 users (show)

Fixed In Version: plasma-desktop-5.5.5-5.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-02 15:56:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 357029 None None None 2016-03-23 16:06:48 UTC

Description Adam Williamson 2016-03-23 06:25:21 UTC
Testing F24 Alpha 1.7 (candidate 7) KDE x86_64 live, it works mostly fine, but I noticed that after install and I think before also, the 'Favorites' view in the kicker shows up empty. The other views are all fine, but Favorites just has nothing in it.

Proposing as a Beta blocker: "No part of any release-blocking desktop's panel (or equivalent) configuration may crash on startup or be entirely non-functional.", though it's a bit borderline for that.

Comment 1 Rex Dieter 2016-03-23 10:12:45 UTC
I saw this too, seems to be some error or possibe race condition in :

/usr/share/plasma/shells/org.kde.plasma.desktop/contents/updates/obsolete_kickoffrc-1.js

Comment 2 Rex Dieter 2016-03-23 16:06:49 UTC
Yay, found bug filed upstream with patch!

https://bugs.kde.org/show_bug.cgi?id=357029

Comment 3 Fedora Update System 2016-03-23 21:03:37 UTC
plasma-desktop-5.5.5-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e15977659

Comment 4 Fedora Update System 2016-03-25 20:28:39 UTC
plasma-desktop-5.5.5-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e15977659

Comment 5 Fedora Update System 2016-03-28 14:43:51 UTC
plasma-desktop-5.5.5-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e15977659

Comment 6 Fedora Update System 2016-03-28 20:55:34 UTC
plasma-desktop-5.5.5-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e15977659

Comment 7 Stephen Gallagher 2016-03-29 12:51:33 UTC
-1 for blocker (I think it's a just barely under that borderline), but it sounds like this will be fixed anyway.

Comment 8 Kamil Páral 2016-03-29 17:01:14 UTC
Discussed at today's blocker review meeting [1]. Voted as RejectedBlocker (Beta), AcceptedBlocker (Final) - we agreed this isn't really severe enough to constitute "entirely non-functional" (the Beta wording) but does violate the Final criterion "All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in typical use."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-03-29

Comment 9 Fedora Update System 2016-04-02 15:56:06 UTC
plasma-desktop-5.5.5-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.